****DO-FILE FOR "ELUCIDATING EU ENGAGEMENT: RETHINKING DIMESNSIONS OF SUPRANATIONAL PARTICIPATION"
***K. Amber Curtis and Nicholas Clark
**20 June 2018
*Stata 15


***NOTE: dataset is already survey weighted by WeightValue
use "Curtis. 2012 PAIS for JEI 6.20.18.dta"


************************FACTOR ANALYSIS
***13 EU items + Did None: 5 factor solution
***TABLE 2 RESULTS
factor part_vote09EU part_contactmep part_contactecrep part_visiteuweb part_traveleu  part_erasmus part_protesteu part_contactedbygrp part_recdeumail part_celebeuday part_boughteuflag part_usedeuro part_heardeuanthem part_didnone, pcf
rotate

***********************PARTICIPATION DVS TO USE
***FIGURE 1
tab part_vote09EU 
tab part_contactmep 
tab part_contactecrep 
tab part_visiteuweb 
tab part_traveleu 
tab part_erasmus 
tab part_protesteu 
tab part_contactedbygrp 
tab part_recdeumail 
tab part_celebeuday 
tab part_boughteuflag 
tab part_usedeuro 
tab part_heardeuanthem 
tab part_didnone
******make simple additive index of how many EU-related things someone did (excluding Did None): ranges 0-13, mean=1.91958, s.d.=1.526061
gen part_addindexEU=part_vote09EU + part_contactmep + part_contactecrep + part_visiteuweb + part_traveleu + part_erasmus + part_protesteu + part_contactedbygrp + part_recdeumail + part_celebeuday + part_boughteuflag + part_usedeuro + part_heardeuanthem
***FIGURE 2
tab part_addindexEU
sum part_addindexEU
*EU-info aspect
gen part_seekinfoEU=part_contactmep + part_contactecrep + part_visiteuweb + part_contactedbygrp + part_recdeumail + part_heardeuanthem
*Using EU Advantages aspect
gen part_takeadvEU=part_vote09EU + part_traveleu + part_usedeuro
*Showing EU Pride aspect
gen part_showEUpride=part_erasmus + part_celebeuday + part_boughteuflag
*Opposing EU aspect: keep as part_protesteu


*****************COVARIATES
***Identity
tab localid
tab regid
tab natid
tab europeanid

***Economics
tab egoindex
tab socioindex

***Politics
tab eusupportindex
tab currdirEU
tab lrideol
tab polint
tab follownews
tab pmapprov

***Sociodemographics
tab male
tab educ
tab age
tab occupprestige
tab rururb
tab unempl
tab emplft



****************************OLS MODELS
***TABLE 3, MODEL 1 & FIGURE 3
reg part_addindexEU egoindex socioindex localid regid natid europeanid eusupportindex currdirEU lrideol polint follownews pmapprov male educ age occupprestige rururb unempl emplft, cluster(region)
estimates store m1, title(Additive Index)
outreg2 using table_1, word replace
prvalue, x(natid==min)
prvalue, x(natid==max)
prvalue, x(europeanid==min)
prvalue, x(europeanid==max)
prvalue, x(egoindex==min)
prvalue, x(egoindex==max)
prvalue, x(eusupportindex==min)
prvalue, x(eusupportindex==max)
prvalue, x(currdirEU==min)
prvalue, x(currdirEU==max)
prvalue, x(polint==min)
prvalue, x(polint==max)
prvalue, x(pmapprov==min)
prvalue, x(pmapprov==max)
prvalue, x(male==min)
prvalue, x(male==max)
prvalue, x(educ==min)
prvalue, x(educ==max)
prvalue, x(age==min)
prvalue, x(age==max)
prvalue, x(occupprestige==min)
prvalue, x(occupprestige==max)

***TABLE 3, MODEL 2 & FIGURE 4
reg part_takeadvEU egoindex socioindex localid regid natid europeanid eusupportindex currdirEU lrideol polint follownews pmapprov male educ age occupprestige rururb unempl emplft, cluster(region)
estimates store m1, title(Take Advantage)
outreg2 using table_1, word append
prvalue, x(egoindex==min)
prvalue, x(egoindex==max)
prvalue, x(eusupportindex==min)
prvalue, x(eusupportindex==max)
prvalue, x(currdirEU==min)
prvalue, x(currdirEU==max)
prvalue, x(polint==min)
prvalue, x(polint==max)
prvalue, x(male==min)
prvalue, x(male==max)
prvalue, x(educ==min)
prvalue, x(educ==max)
prvalue, x(age==min)
prvalue, x(age==max)
prvalue, x(occupprestige==min)
prvalue, x(occupprestige==max)

***TABLE 3, MODEL 3 & FIGURE 5
reg part_seekinfoEU egoindex socioindex localid regid natid europeanid eusupportindex currdirEU lrideol polint follownews pmapprov male educ age occupprestige rururb unempl emplft, cluster(region)
estimates store m1, title(Info-Seeking)
outreg2 using table_1, word append
prvalue, x(europeanid==min)
prvalue, x(europeanid==max)
prvalue, x(socioindex==min)
prvalue, x(socioindex==max)
prvalue, x(eusupportindex==min)
prvalue, x(eusupportindex==max)
prvalue, x(pmapprov==min)
prvalue, x(pmapprov==max)
prvalue, x(male==min)
prvalue, x(male==max)
prvalue, x(educ==min)
prvalue, x(educ==max)
prvalue, x(age==min)
prvalue, x(age==max)
prvalue, x(occupprestige==min)
prvalue, x(occupprestige==max)

***TABLE 3, MODEL 4 & FIGURE 6
reg part_showEUpride egoindex socioindex localid regid natid europeanid eusupportindex currdirEU lrideol polint follownews pmapprov male educ age occupprestige rururb unempl emplft, cluster(region)
estimates store m1, title(Show EU Pride)
outreg2 using table_1, word append
prvalue, x(regid==min)
prvalue, x(regid==max)
prvalue, x(europeanid==min)
prvalue, x(europeanid==max)
prvalue, x(lrideol==min)
prvalue, x(lrideol==max)
prvalue, x(educ==min)
prvalue, x(educ==max)
prvalue, x(age==min)
prvalue, x(age==max)

********ORDERED LOGIT AS NEEDED FOR 2 OF THE DVS
***TABLE 4, MODEL 5 & FIGURE 7
logit part_protesteu egoindex socioindex localid regid natid europeanid eusupportindex currdirEU lrideol polint follownews pmapprov male educ age occupprestige rururb unempl emplft, cluster(region)
estimates store m1, title(Protest Against EU)
outreg2 using table_4, word replace
prvalue, x(eusupportindex==min)
prvalue, x(eusupportindex==max)
prvalue, x(male==min)
prvalue, x(male==max)
prvalue, x(educ==min)
prvalue, x(educ==max)

***TABLE 4, MODEL 6 & FIGURE 8
logit part_didnone egoindex socioindex localid regid natid europeanid eusupportindex currdirEU lrideol polint follownews pmapprov male educ age occupprestige rururb unempl emplft, cluster(region)
estimates store m1, title(Did Nothing)
outreg2 using table_4, word append
prvalue, x(natid==min)
prvalue, x(natid==max)
prvalue, x(eusupportindex==min)
prvalue, x(eusupportindex==max)
prvalue, x(currdirEU==min)
prvalue, x(currdirEU==max)
prvalue, x(polint==min)
prvalue, x(polint==max)
prvalue, x(educ==min)
prvalue, x(educ==max)
prvalue, x(age==min)
prvalue, x(age==max)
prvalue, x(occupprestige==min)
prvalue, x(occupprestige==max)




****************DESCRIPTIVE STATISTICS FOR SAMPLE
***ONLINE APPENDIX 
sum part_addindexEU part_seekinfoEU part_takeadvEU part_showEUpride part_protesteu part_didnone localid regid natid europeanid egoindex socioindex eusupportindex currdirEU lrideol polint follownews pmapprov male educ age occupprestige rururb unempl emplft if part_addindexEU~=. & part_seekinfoEU~=. & part_takeadvEU~=. & part_showEUpride~=. & part_protesteu~=. & part_didnone~=. & localid~=. & regid~=. & natid~=. & europeanid~=. & egoindex~=. & socioindex~=. & eusupportindex~=. & currdirEU~=. & lrideol~=. & polint~=. & follownews~=. & pmapprov~=. & male~=. & educ~=. & age~=. & occupprestige~=. & rururb~=. & unempl~=. & emplft~=.



*********************NO VARIANCE AT REGIONAL LEVEL FOR ANY DV
*rho=.00648853
xtmixed part_addindexEU ||region: , mle var covar(unstructured)
display .0151121/( 2.313938 +.0151121)
*rho=.00236742
xtmixed part_vote09EU ||region: , mle var covar(unstructured)
display .0005131/(.2162209+.0005131)
*rho=.00837076
xtmixed part_seekinfoEU ||region: , mle var covar(unstructured)
display .0043383/(.5139302+.0043383)
*rho=1.376e-13
xtmixed part_takeadvEU ||region: , mle var covar(unstructured)
display 1.69e-13/(1.227843+1.69e-13)
*rho=3.868e-17
xtmixed part_showEUpride ||region: , mle var covar(unstructured)
display 1.93e-18/(.0498914+1.93e-18)
*rho=2.822e-18
xtmixed part_protesteu ||region: , mle var covar(unstructured)
display  5.12e-20/ (.01814 + 5.12e-20)


